Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network16.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
16.0.0.0
Broadcast address
16.255.255.255
First usable
16.0.0.1
Last usable
16.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 10000000 · Integer 268435456 to 285212671
Reverse DNS zone
16.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010000..00000000.00000000.0000000016.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00010000..00000000.00000000.0000000016.0.0.0
Broadcast00010000..11111111.11111111.1111111116.255.255.255
Split into smaller subnets/19

16.0.0.0/8 makes 2,048 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
116.0.0.0/1916.0.0.1 to 16.0.31.25416.0.31.2558,190
216.0.32.0/1916.0.32.1 to 16.0.63.25416.0.63.2558,190
316.0.64.0/1916.0.64.1 to 16.0.95.25416.0.95.2558,190
416.0.96.0/1916.0.96.1 to 16.0.127.25416.0.127.2558,190
516.0.128.0/1916.0.128.1 to 16.0.159.25416.0.159.2558,190
616.0.160.0/1916.0.160.1 to 16.0.191.25416.0.191.2558,190
716.0.192.0/1916.0.192.1 to 16.0.223.25416.0.223.2558,190
816.0.224.0/1916.0.224.1 to 16.0.255.25416.0.255.2558,190
916.1.0.0/1916.1.0.1 to 16.1.31.25416.1.31.2558,190
1016.1.32.0/1916.1.32.1 to 16.1.63.25416.1.63.2558,190
1116.1.64.0/1916.1.64.1 to 16.1.95.25416.1.95.2558,190
1216.1.96.0/1916.1.96.1 to 16.1.127.25416.1.127.2558,190
1316.1.128.0/1916.1.128.1 to 16.1.159.25416.1.159.2558,190
1416.1.160.0/1916.1.160.1 to 16.1.191.25416.1.191.2558,190
1516.1.192.0/1916.1.192.1 to 16.1.223.25416.1.223.2558,190
1616.1.224.0/1916.1.224.1 to 16.1.255.25416.1.255.2558,190
1716.2.0.0/1916.2.0.1 to 16.2.31.25416.2.31.2558,190
1816.2.32.0/1916.2.32.1 to 16.2.63.25416.2.63.2558,190
1916.2.64.0/1916.2.64.1 to 16.2.95.25416.2.95.2558,190
2016.2.96.0/1916.2.96.1 to 16.2.127.25416.2.127.2558,190
2116.2.128.0/1916.2.128.1 to 16.2.159.25416.2.159.2558,190
2216.2.160.0/1916.2.160.1 to 16.2.191.25416.2.191.2558,190
2316.2.192.0/1916.2.192.1 to 16.2.223.25416.2.223.2558,190
2416.2.224.0/1916.2.224.1 to 16.2.255.25416.2.255.2558,190
2516.3.0.0/1916.3.0.1 to 16.3.31.25416.3.31.2558,190
2616.3.32.0/1916.3.32.1 to 16.3.63.25416.3.63.2558,190
2716.3.64.0/1916.3.64.1 to 16.3.95.25416.3.95.2558,190
2816.3.96.0/1916.3.96.1 to 16.3.127.25416.3.127.2558,190
2916.3.128.0/1916.3.128.1 to 16.3.159.25416.3.159.2558,190
3016.3.160.0/1916.3.160.1 to 16.3.191.25416.3.191.2558,190
3116.3.192.0/1916.3.192.1 to 16.3.223.25416.3.223.2558,190
3216.3.224.0/1916.3.224.1 to 16.3.255.25416.3.255.2558,190
3316.4.0.0/1916.4.0.1 to 16.4.31.25416.4.31.2558,190
3416.4.32.0/1916.4.32.1 to 16.4.63.25416.4.63.2558,190
3516.4.64.0/1916.4.64.1 to 16.4.95.25416.4.95.2558,190
3616.4.96.0/1916.4.96.1 to 16.4.127.25416.4.127.2558,190
3716.4.128.0/1916.4.128.1 to 16.4.159.25416.4.159.2558,190
3816.4.160.0/1916.4.160.1 to 16.4.191.25416.4.191.2558,190
3916.4.192.0/1916.4.192.1 to 16.4.223.25416.4.223.2558,190
4016.4.224.0/1916.4.224.1 to 16.4.255.25416.4.255.2558,190
4116.5.0.0/1916.5.0.1 to 16.5.31.25416.5.31.2558,190
4216.5.32.0/1916.5.32.1 to 16.5.63.25416.5.63.2558,190
4316.5.64.0/1916.5.64.1 to 16.5.95.25416.5.95.2558,190
4416.5.96.0/1916.5.96.1 to 16.5.127.25416.5.127.2558,190
4516.5.128.0/1916.5.128.1 to 16.5.159.25416.5.159.2558,190
4616.5.160.0/1916.5.160.1 to 16.5.191.25416.5.191.2558,190
4716.5.192.0/1916.5.192.1 to 16.5.223.25416.5.223.2558,190
4816.5.224.0/1916.5.224.1 to 16.5.255.25416.5.255.2558,190
4916.6.0.0/1916.6.0.1 to 16.6.31.25416.6.31.2558,190
5016.6.32.0/1916.6.32.1 to 16.6.63.25416.6.63.2558,190
5116.6.64.0/1916.6.64.1 to 16.6.95.25416.6.95.2558,190
5216.6.96.0/1916.6.96.1 to 16.6.127.25416.6.127.2558,190
5316.6.128.0/1916.6.128.1 to 16.6.159.25416.6.159.2558,190
5416.6.160.0/1916.6.160.1 to 16.6.191.25416.6.191.2558,190
5516.6.192.0/1916.6.192.1 to 16.6.223.25416.6.223.2558,190
5616.6.224.0/1916.6.224.1 to 16.6.255.25416.6.255.2558,190
5716.7.0.0/1916.7.0.1 to 16.7.31.25416.7.31.2558,190
5816.7.32.0/1916.7.32.1 to 16.7.63.25416.7.63.2558,190
5916.7.64.0/1916.7.64.1 to 16.7.95.25416.7.95.2558,190
6016.7.96.0/1916.7.96.1 to 16.7.127.25416.7.127.2558,190
6116.7.128.0/1916.7.128.1 to 16.7.159.25416.7.159.2558,190
6216.7.160.0/1916.7.160.1 to 16.7.191.25416.7.191.2558,190
6316.7.192.0/1916.7.192.1 to 16.7.223.25416.7.223.2558,190
6416.7.224.0/1916.7.224.1 to 16.7.255.25416.7.255.2558,190
6516.8.0.0/1916.8.0.1 to 16.8.31.25416.8.31.2558,190
6616.8.32.0/1916.8.32.1 to 16.8.63.25416.8.63.2558,190
6716.8.64.0/1916.8.64.1 to 16.8.95.25416.8.95.2558,190
6816.8.96.0/1916.8.96.1 to 16.8.127.25416.8.127.2558,190
6916.8.128.0/1916.8.128.1 to 16.8.159.25416.8.159.2558,190
7016.8.160.0/1916.8.160.1 to 16.8.191.25416.8.191.2558,190
7116.8.192.0/1916.8.192.1 to 16.8.223.25416.8.223.2558,190
7216.8.224.0/1916.8.224.1 to 16.8.255.25416.8.255.2558,190
7316.9.0.0/1916.9.0.1 to 16.9.31.25416.9.31.2558,190
7416.9.32.0/1916.9.32.1 to 16.9.63.25416.9.63.2558,190
7516.9.64.0/1916.9.64.1 to 16.9.95.25416.9.95.2558,190
7616.9.96.0/1916.9.96.1 to 16.9.127.25416.9.127.2558,190
7716.9.128.0/1916.9.128.1 to 16.9.159.25416.9.159.2558,190
7816.9.160.0/1916.9.160.1 to 16.9.191.25416.9.191.2558,190
7916.9.192.0/1916.9.192.1 to 16.9.223.25416.9.223.2558,190
8016.9.224.0/1916.9.224.1 to 16.9.255.25416.9.255.2558,190
8116.10.0.0/1916.10.0.1 to 16.10.31.25416.10.31.2558,190
8216.10.32.0/1916.10.32.1 to 16.10.63.25416.10.63.2558,190
8316.10.64.0/1916.10.64.1 to 16.10.95.25416.10.95.2558,190
8416.10.96.0/1916.10.96.1 to 16.10.127.25416.10.127.2558,190
8516.10.128.0/1916.10.128.1 to 16.10.159.25416.10.159.2558,190
8616.10.160.0/1916.10.160.1 to 16.10.191.25416.10.191.2558,190
8716.10.192.0/1916.10.192.1 to 16.10.223.25416.10.223.2558,190
8816.10.224.0/1916.10.224.1 to 16.10.255.25416.10.255.2558,190
8916.11.0.0/1916.11.0.1 to 16.11.31.25416.11.31.2558,190
9016.11.32.0/1916.11.32.1 to 16.11.63.25416.11.63.2558,190
9116.11.64.0/1916.11.64.1 to 16.11.95.25416.11.95.2558,190
9216.11.96.0/1916.11.96.1 to 16.11.127.25416.11.127.2558,190
9316.11.128.0/1916.11.128.1 to 16.11.159.25416.11.159.2558,190
9416.11.160.0/1916.11.160.1 to 16.11.191.25416.11.191.2558,190
9516.11.192.0/1916.11.192.1 to 16.11.223.25416.11.223.2558,190
9616.11.224.0/1916.11.224.1 to 16.11.255.25416.11.255.2558,190
9716.12.0.0/1916.12.0.1 to 16.12.31.25416.12.31.2558,190
9816.12.32.0/1916.12.32.1 to 16.12.63.25416.12.63.2558,190
9916.12.64.0/1916.12.64.1 to 16.12.95.25416.12.95.2558,190
10016.12.96.0/1916.12.96.1 to 16.12.127.25416.12.127.2558,190
10116.12.128.0/1916.12.128.1 to 16.12.159.25416.12.159.2558,190
10216.12.160.0/1916.12.160.1 to 16.12.191.25416.12.191.2558,190
10316.12.192.0/1916.12.192.1 to 16.12.223.25416.12.223.2558,190
10416.12.224.0/1916.12.224.1 to 16.12.255.25416.12.255.2558,190
10516.13.0.0/1916.13.0.1 to 16.13.31.25416.13.31.2558,190
10616.13.32.0/1916.13.32.1 to 16.13.63.25416.13.63.2558,190
10716.13.64.0/1916.13.64.1 to 16.13.95.25416.13.95.2558,190
10816.13.96.0/1916.13.96.1 to 16.13.127.25416.13.127.2558,190
10916.13.128.0/1916.13.128.1 to 16.13.159.25416.13.159.2558,190
11016.13.160.0/1916.13.160.1 to 16.13.191.25416.13.191.2558,190
11116.13.192.0/1916.13.192.1 to 16.13.223.25416.13.223.2558,190
11216.13.224.0/1916.13.224.1 to 16.13.255.25416.13.255.2558,190
11316.14.0.0/1916.14.0.1 to 16.14.31.25416.14.31.2558,190
11416.14.32.0/1916.14.32.1 to 16.14.63.25416.14.63.2558,190
11516.14.64.0/1916.14.64.1 to 16.14.95.25416.14.95.2558,190
11616.14.96.0/1916.14.96.1 to 16.14.127.25416.14.127.2558,190
11716.14.128.0/1916.14.128.1 to 16.14.159.25416.14.159.2558,190
11816.14.160.0/1916.14.160.1 to 16.14.191.25416.14.191.2558,190
11916.14.192.0/1916.14.192.1 to 16.14.223.25416.14.223.2558,190
12016.14.224.0/1916.14.224.1 to 16.14.255.25416.14.255.2558,190
12116.15.0.0/1916.15.0.1 to 16.15.31.25416.15.31.2558,190
12216.15.32.0/1916.15.32.1 to 16.15.63.25416.15.63.2558,190
12316.15.64.0/1916.15.64.1 to 16.15.95.25416.15.95.2558,190
12416.15.96.0/1916.15.96.1 to 16.15.127.25416.15.127.2558,190
12516.15.128.0/1916.15.128.1 to 16.15.159.25416.15.159.2558,190
12616.15.160.0/1916.15.160.1 to 16.15.191.25416.15.191.2558,190
12716.15.192.0/1916.15.192.1 to 16.15.223.25416.15.223.2558,190
12816.15.224.0/1916.15.224.1 to 16.15.255.25416.15.255.2558,190
12916.16.0.0/1916.16.0.1 to 16.16.31.25416.16.31.2558,190
13016.16.32.0/1916.16.32.1 to 16.16.63.25416.16.63.2558,190
13116.16.64.0/1916.16.64.1 to 16.16.95.25416.16.95.2558,190
13216.16.96.0/1916.16.96.1 to 16.16.127.25416.16.127.2558,190
13316.16.128.0/1916.16.128.1 to 16.16.159.25416.16.159.2558,190
13416.16.160.0/1916.16.160.1 to 16.16.191.25416.16.191.2558,190
13516.16.192.0/1916.16.192.1 to 16.16.223.25416.16.223.2558,190
13616.16.224.0/1916.16.224.1 to 16.16.255.25416.16.255.2558,190
13716.17.0.0/1916.17.0.1 to 16.17.31.25416.17.31.2558,190
13816.17.32.0/1916.17.32.1 to 16.17.63.25416.17.63.2558,190
13916.17.64.0/1916.17.64.1 to 16.17.95.25416.17.95.2558,190
14016.17.96.0/1916.17.96.1 to 16.17.127.25416.17.127.2558,190
14116.17.128.0/1916.17.128.1 to 16.17.159.25416.17.159.2558,190
14216.17.160.0/1916.17.160.1 to 16.17.191.25416.17.191.2558,190
14316.17.192.0/1916.17.192.1 to 16.17.223.25416.17.223.2558,190
14416.17.224.0/1916.17.224.1 to 16.17.255.25416.17.255.2558,190
14516.18.0.0/1916.18.0.1 to 16.18.31.25416.18.31.2558,190
14616.18.32.0/1916.18.32.1 to 16.18.63.25416.18.63.2558,190
14716.18.64.0/1916.18.64.1 to 16.18.95.25416.18.95.2558,190
14816.18.96.0/1916.18.96.1 to 16.18.127.25416.18.127.2558,190
14916.18.128.0/1916.18.128.1 to 16.18.159.25416.18.159.2558,190
15016.18.160.0/1916.18.160.1 to 16.18.191.25416.18.191.2558,190
15116.18.192.0/1916.18.192.1 to 16.18.223.25416.18.223.2558,190
15216.18.224.0/1916.18.224.1 to 16.18.255.25416.18.255.2558,190
15316.19.0.0/1916.19.0.1 to 16.19.31.25416.19.31.2558,190
15416.19.32.0/1916.19.32.1 to 16.19.63.25416.19.63.2558,190
15516.19.64.0/1916.19.64.1 to 16.19.95.25416.19.95.2558,190
15616.19.96.0/1916.19.96.1 to 16.19.127.25416.19.127.2558,190
15716.19.128.0/1916.19.128.1 to 16.19.159.25416.19.159.2558,190
15816.19.160.0/1916.19.160.1 to 16.19.191.25416.19.191.2558,190
15916.19.192.0/1916.19.192.1 to 16.19.223.25416.19.223.2558,190
16016.19.224.0/1916.19.224.1 to 16.19.255.25416.19.255.2558,190
16116.20.0.0/1916.20.0.1 to 16.20.31.25416.20.31.2558,190
16216.20.32.0/1916.20.32.1 to 16.20.63.25416.20.63.2558,190
16316.20.64.0/1916.20.64.1 to 16.20.95.25416.20.95.2558,190
16416.20.96.0/1916.20.96.1 to 16.20.127.25416.20.127.2558,190
16516.20.128.0/1916.20.128.1 to 16.20.159.25416.20.159.2558,190
16616.20.160.0/1916.20.160.1 to 16.20.191.25416.20.191.2558,190
16716.20.192.0/1916.20.192.1 to 16.20.223.25416.20.223.2558,190
16816.20.224.0/1916.20.224.1 to 16.20.255.25416.20.255.2558,190
16916.21.0.0/1916.21.0.1 to 16.21.31.25416.21.31.2558,190
17016.21.32.0/1916.21.32.1 to 16.21.63.25416.21.63.2558,190
17116.21.64.0/1916.21.64.1 to 16.21.95.25416.21.95.2558,190
17216.21.96.0/1916.21.96.1 to 16.21.127.25416.21.127.2558,190
17316.21.128.0/1916.21.128.1 to 16.21.159.25416.21.159.2558,190
17416.21.160.0/1916.21.160.1 to 16.21.191.25416.21.191.2558,190
17516.21.192.0/1916.21.192.1 to 16.21.223.25416.21.223.2558,190
17616.21.224.0/1916.21.224.1 to 16.21.255.25416.21.255.2558,190
17716.22.0.0/1916.22.0.1 to 16.22.31.25416.22.31.2558,190
17816.22.32.0/1916.22.32.1 to 16.22.63.25416.22.63.2558,190
17916.22.64.0/1916.22.64.1 to 16.22.95.25416.22.95.2558,190
18016.22.96.0/1916.22.96.1 to 16.22.127.25416.22.127.2558,190
18116.22.128.0/1916.22.128.1 to 16.22.159.25416.22.159.2558,190
18216.22.160.0/1916.22.160.1 to 16.22.191.25416.22.191.2558,190
18316.22.192.0/1916.22.192.1 to 16.22.223.25416.22.223.2558,190
18416.22.224.0/1916.22.224.1 to 16.22.255.25416.22.255.2558,190
18516.23.0.0/1916.23.0.1 to 16.23.31.25416.23.31.2558,190
18616.23.32.0/1916.23.32.1 to 16.23.63.25416.23.63.2558,190
18716.23.64.0/1916.23.64.1 to 16.23.95.25416.23.95.2558,190
18816.23.96.0/1916.23.96.1 to 16.23.127.25416.23.127.2558,190
18916.23.128.0/1916.23.128.1 to 16.23.159.25416.23.159.2558,190
19016.23.160.0/1916.23.160.1 to 16.23.191.25416.23.191.2558,190
19116.23.192.0/1916.23.192.1 to 16.23.223.25416.23.223.2558,190
19216.23.224.0/1916.23.224.1 to 16.23.255.25416.23.255.2558,190
19316.24.0.0/1916.24.0.1 to 16.24.31.25416.24.31.2558,190
19416.24.32.0/1916.24.32.1 to 16.24.63.25416.24.63.2558,190
19516.24.64.0/1916.24.64.1 to 16.24.95.25416.24.95.2558,190
19616.24.96.0/1916.24.96.1 to 16.24.127.25416.24.127.2558,190
19716.24.128.0/1916.24.128.1 to 16.24.159.25416.24.159.2558,190
19816.24.160.0/1916.24.160.1 to 16.24.191.25416.24.191.2558,190
19916.24.192.0/1916.24.192.1 to 16.24.223.25416.24.223.2558,190
20016.24.224.0/1916.24.224.1 to 16.24.255.25416.24.255.2558,190
20116.25.0.0/1916.25.0.1 to 16.25.31.25416.25.31.2558,190
20216.25.32.0/1916.25.32.1 to 16.25.63.25416.25.63.2558,190
20316.25.64.0/1916.25.64.1 to 16.25.95.25416.25.95.2558,190
20416.25.96.0/1916.25.96.1 to 16.25.127.25416.25.127.2558,190
20516.25.128.0/1916.25.128.1 to 16.25.159.25416.25.159.2558,190
20616.25.160.0/1916.25.160.1 to 16.25.191.25416.25.191.2558,190
20716.25.192.0/1916.25.192.1 to 16.25.223.25416.25.223.2558,190
20816.25.224.0/1916.25.224.1 to 16.25.255.25416.25.255.2558,190
20916.26.0.0/1916.26.0.1 to 16.26.31.25416.26.31.2558,190
21016.26.32.0/1916.26.32.1 to 16.26.63.25416.26.63.2558,190
21116.26.64.0/1916.26.64.1 to 16.26.95.25416.26.95.2558,190
21216.26.96.0/1916.26.96.1 to 16.26.127.25416.26.127.2558,190
21316.26.128.0/1916.26.128.1 to 16.26.159.25416.26.159.2558,190
21416.26.160.0/1916.26.160.1 to 16.26.191.25416.26.191.2558,190
21516.26.192.0/1916.26.192.1 to 16.26.223.25416.26.223.2558,190
21616.26.224.0/1916.26.224.1 to 16.26.255.25416.26.255.2558,190
21716.27.0.0/1916.27.0.1 to 16.27.31.25416.27.31.2558,190
21816.27.32.0/1916.27.32.1 to 16.27.63.25416.27.63.2558,190
21916.27.64.0/1916.27.64.1 to 16.27.95.25416.27.95.2558,190
22016.27.96.0/1916.27.96.1 to 16.27.127.25416.27.127.2558,190
22116.27.128.0/1916.27.128.1 to 16.27.159.25416.27.159.2558,190
22216.27.160.0/1916.27.160.1 to 16.27.191.25416.27.191.2558,190
22316.27.192.0/1916.27.192.1 to 16.27.223.25416.27.223.2558,190
22416.27.224.0/1916.27.224.1 to 16.27.255.25416.27.255.2558,190
22516.28.0.0/1916.28.0.1 to 16.28.31.25416.28.31.2558,190
22616.28.32.0/1916.28.32.1 to 16.28.63.25416.28.63.2558,190
22716.28.64.0/1916.28.64.1 to 16.28.95.25416.28.95.2558,190
22816.28.96.0/1916.28.96.1 to 16.28.127.25416.28.127.2558,190
22916.28.128.0/1916.28.128.1 to 16.28.159.25416.28.159.2558,190
23016.28.160.0/1916.28.160.1 to 16.28.191.25416.28.191.2558,190
23116.28.192.0/1916.28.192.1 to 16.28.223.25416.28.223.2558,190
23216.28.224.0/1916.28.224.1 to 16.28.255.25416.28.255.2558,190
23316.29.0.0/1916.29.0.1 to 16.29.31.25416.29.31.2558,190
23416.29.32.0/1916.29.32.1 to 16.29.63.25416.29.63.2558,190
23516.29.64.0/1916.29.64.1 to 16.29.95.25416.29.95.2558,190
23616.29.96.0/1916.29.96.1 to 16.29.127.25416.29.127.2558,190
23716.29.128.0/1916.29.128.1 to 16.29.159.25416.29.159.2558,190
23816.29.160.0/1916.29.160.1 to 16.29.191.25416.29.191.2558,190
23916.29.192.0/1916.29.192.1 to 16.29.223.25416.29.223.2558,190
24016.29.224.0/1916.29.224.1 to 16.29.255.25416.29.255.2558,190
24116.30.0.0/1916.30.0.1 to 16.30.31.25416.30.31.2558,190
24216.30.32.0/1916.30.32.1 to 16.30.63.25416.30.63.2558,190
24316.30.64.0/1916.30.64.1 to 16.30.95.25416.30.95.2558,190
24416.30.96.0/1916.30.96.1 to 16.30.127.25416.30.127.2558,190
24516.30.128.0/1916.30.128.1 to 16.30.159.25416.30.159.2558,190
24616.30.160.0/1916.30.160.1 to 16.30.191.25416.30.191.2558,190
24716.30.192.0/1916.30.192.1 to 16.30.223.25416.30.223.2558,190
24816.30.224.0/1916.30.224.1 to 16.30.255.25416.30.255.2558,190
24916.31.0.0/1916.31.0.1 to 16.31.31.25416.31.31.2558,190
25016.31.32.0/1916.31.32.1 to 16.31.63.25416.31.63.2558,190
25116.31.64.0/1916.31.64.1 to 16.31.95.25416.31.95.2558,190
25216.31.96.0/1916.31.96.1 to 16.31.127.25416.31.127.2558,190
25316.31.128.0/1916.31.128.1 to 16.31.159.25416.31.159.2558,190
25416.31.160.0/1916.31.160.1 to 16.31.191.25416.31.191.2558,190
25516.31.192.0/1916.31.192.1 to 16.31.223.25416.31.223.2558,190
25616.31.224.0/1916.31.224.1 to 16.31.255.25416.31.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses